# LucyJMS - Browse

Browse is used to browse message from JMS queues. JMS topics are not browsable
by JMS specification. Browsed messages are stored to the xml file. Supported
messages types are TextMessage, BytesMessage and MapMessage. Trying to browse
other message types will end in error.


## Arguments:

    --configurationAt (-c)    : Path to the JMS configuration to use.
    --factoryId (-f)          : Bean id of the connection factory to use.
    --limit (-l)              : Max number of messages to browse.
    --queue (-q)              : Name od the queue.
    --queueId (-qid)          : Bean id of the queue to use.
    --outputXml (-x)          : Path to output xml.
    --selector (-s)           : Message selector used to browse for messages.


-------------------------------------------------------------------------------
Example 1:

    lucy browse -c ../demo/activemq -q output --outputXml messages.xml

It will browse messages from queue *output* to the xml *messages.xml*. The
connection to the JMS broker is specified in *../demo/activemq/connection.xml*
as *connectionFactory* bean.
